<template>
  <!-- To Do Handle Multiple Style Select -->
  <lazy-new-black-theme-login-dialog
    v-if="loginStyleSelected?.Text === 'Login_Page_2'"
  />
  <lazy-new-black-theme-login-dialog v-else />
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "MobileLoginPageRender",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const loginStyleSelected = themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "login_register"
    );
    return {
      loginStyleSelected,
    };
  },
});
</script>
